Description

Take a working macros for simulation for EXP1904. It may be found in

expertroot/macro/EXP1904_H7/sim

 

branch

406_exp1904_h7_sim

 

Step by step employ following changes:

1. delete the central telescope;

2. change the thickness of veto detector (third layer of side telescopes) to 10 cm;

3. introduce the reaction 

6

Li + p --> 

6

Be + n with subsequent decay 

6

Be --> 

4

He + p + p;

the decay occurs in the point of the reaction;

beam cross-section is infinitely small;

beam direction coincidences with the Z-axis in laboratory system;

4. delete the beam detector (ToF system and MWPC's)

5. reconstruct the 

6

Be invariant mass under conditions:

only one particle per telescope was registered;

beam energy and size is constant and known;

6. replace the third layer of telescopes by CsI detector;

Provide results of steps mentioned above in individual comments.

History

#1 - 02/26/2020 11:02 PM - Konstantin Limarev

- File func.cxx added

I have deleted central telescopes from code as you can see in screenshot

 Screenshot%20from%202020-02-27%2000-05-31.png 

Screenshot of sim_digi.C

#2 - 02/27/2020 12:11 AM - Konstantin Limarev

- File deleted (func.cxx)

#3 - 02/27/2020 12:29 AM - Konstantin Limarev

- File QTelescopeParts3.xml added
I changed the thickness of veto detector (third layer of side telescopes) to 10 cm as you can see from screenshots of ROOT Browser and

QTelescopeParts3.xml

 Screenshot%20from%202020-02-27%2000-17-44.png 

Screenshot of QTelescopeParts3.xml

 Screenshot%20from%202020-02-27%2000-15-45.png 

Screenshot of sim_digi.root opened with ROOT Browser

Files

QTelescopeParts3.xml 2.12 KB 02/26/2020 Konstantin Limarev
